\chapter{Numerical examples}
\label{chap:examples}

In this chapter a selection of numerical examples is presented. The
aim is to show the performance of the presented algorithm and to
compare the two different normal fields implemented (namely the non
continuous mortar side and the averaged non-mortar side normal
field). The chosen problems are inspired by examples shown by many
other people publishing in the field of contact mechanics.

The finite element software was written in a self-made framework - the
SOOFEA ({\bf S}oftware for {\bf O}bject {\bf O}riented {\bf F}inite
{\bf E}lement) framework (see \citet{Soofea}). The chosen programming
language is C++ and Python. The design is based on a paper from
\citet{Archer1999}. To visualize the deformed meshes and the various
results matplotlib (\citet{matplotlib}) was used. The meshes were
created either by self written structural meshers or with GMSH
(\citet{geuzaine2009}).

\section{Simple benchmark}
\label{sec:simple_benchmark}

This example is based on a three dimensional problem presented in
\citet{Puso2008}. The dimensions of the problem are shown in
Figure~\ref{fig:simple_benchmark}. The parameteres (especially the
material properties) are given in Table~\ref{tab:simple_benchmark}.

\begin{table}[!ht]
  \centering
  \begin{tabular}{llll}
    \hline\hline
    Young's modulus of block & $E_{block}$ & 1000 & $\unit{MPa}$ \\
    Poisson's ratio of block & $\nu_{block}$ & 0.3 & \\
    Young's modulus of slab & $E_{slab}$ & 1000 & $\unit{MPa}$  \\
    Poisson's ratio of slab & $\nu_{slab}$ & 0.3 & \\
    Thickness of block and slab & $h$ & 1 & $\unit{mm}$ \\
    Vertical displacement & $\Delta v$ & 10 & $\unit{mm}$ \\
    Horizontal displacement & $\Delta u$ & 50 & $\unit{mm}$ \\
    \hline\hline
  \end{tabular}
  \caption{Parameters for the simple benchmark example}
  \label{tab:simple_benchmark}
\end{table}

\begin{figure}[!ht]
  \centering
  \input{images/simple_benchmark.pdf_tex}
  \caption{A simple benchmark problem. A block is moved towards the
    slab in the direction of $\Delta v$. The boundary
    condition is applied on the top boundary of the block. After a
    certain impact is reached the block is moved over the slab in the
    direction of $\pm \Delta u$.}
  \label{fig:simple_benchmark}
\end{figure}

\subsection{Progress}
\label{sec:simple_benchmark_time_flow}

In the beginning (see Figure~\ref{fig:simple_benchmark_timeline_0} and
Figure~\ref{fig:simple_benchmark_timeline_03_0}) there is an initial gap of
$1 \unit{mm}$ between the block and the slab. This gap was chosen to
show that the implementation is able to capture a fully new contact
surface.

At first the block is moved in vertical direction downwards. The end
displacement $\Delta v = 10 \unit{mm}$ is reached after $1 \unit{sec}$
and $10$ time steps. The state of deformation is shown in
Figure~\ref{fig:simple_benchmark_timeline_10} and
Figure~\ref{fig:simple_benchmark_timeline_03_10}. One can see for the
frictionless calculation an overhang of the slab. For the friction
case due to stick the left side of block and slab are still planar.

Now the block is moved in $30$ time steps right until a horizontal
displacement $\Delta u = 50 \unit{mm}$ is reached at time $t=4
\unit{sec}$. The algorithm converges for less time steps too, but we
wanted to show intermediate results to discuss the different phases of
deformation. At time step $17$ after $t=1.7 \unit{sec}$ the slab
starts to slide and we change from stick to slip. In
Figure~\ref{fig:simple_benchmark_timeline_03_17} one can see the
shearing of slab and block due to the friction force. In
Figure~\ref{fig:simple_benchmark_timeline_17} no shear occurs as we
assume perfect sliding there. The impact of the friction force on the
deformation can be also seen in the comparison of
Figure~\ref{fig:simple_benchmark_timeline_40} and
Figure~\ref{fig:simple_benchmark_timeline_03_40}.

After $t=40 \unit{sec}$ the moving direction of the block
changes. Therefore the block starts to stick again on the block. Until
time step $57$ this sticking force is lower then the limit and the
slab changes its shear direction. In
Figure~\ref{fig:simple_benchmark_timeline_57} one can see the rather
straight and shearless deformation of the block in comparison to
Figure~\ref{fig:simple_benchmark_timeline_03_57}. The movement
continues until time $t=70 \unit{sec}$ is reached
(Figure~\ref{fig:simple_benchmark_timeline_70} and
Figure~\ref{fig:simple_benchmark_timeline_03_70}).

Now the block is lifted till the start position at time $t=8
\unit{sec}$ and $\Delta u = 0$ and $\Delta v = 0$ is reached. During
this lift the deformation of the frictionless sliding is congruent to
the deformation during the downwards movement. This can be already
seen as the deformation in
Figure~\ref{fig:simple_benchmark_timeline_70} is identically to the
one in Figure~\ref{fig:simple_benchmark_timeline_10}. This also means
that the deformation at time step $75$ is the same as for time step
$5$.

This is of course not true for the frictional contact calculation. One
can see that for time step $75$,
Figure~\ref{fig:simple_benchmark_timeline_03_70}, the situation is
different to that in
Figure~\ref{fig:simple_benchmark_timeline_10}. This means for
frictional calculation we have a path dependency. This is related to
the stick effect and the dependency of the friction force direction on
the moving direction. In mathematical and algorithmic sense this can
be seen in the fact that we have to store the last convective
coordinate $\m{\pj{\xi}}$ as internal variable. (See
Section~\ref{sec:objectivity_v_T} and
Eq.~\eqref{eq:tangential_velocity})

The shearing state is consequently reduced during lifting. The
intermediate step in Figure~\ref{fig:simple_benchmark_timeline_03_75}
visualizes this procedure.

Finally time step $80$ is reached and the initial state is
recovered. As we have no contact in this last step the frictional case
is identical to the frictionless case.

To show the (nearly) quadratic convergence of the Newton-Raphson
procedure some examples of convergence rates of the unbalanced energy
are given in Table~\ref{tab:simple_benchmark_convergence_FLGM} and
Table~\ref{tab:simple_benchmark_convergence_FLGA}. It is also
interesting to see that the concentrated integration scheme we used
has no significant influence on the convergence rate although it is an
approximation of the exact integral only.

\begin{table}[!ht]
  \centering
  \begin{tabular}{l|r|c|c|c|c}
                &             & Time step 10 & Time step 17 & Time step 40 & Time step 57 \\ \hline\hline
   Frictional   & iteration 1 & +2.4179e+03  & +2.1598e+03  & +2.1481e+03  & +2.1591e+03  \\
   case         & iteration 2 & +7.3381e-02  & +8.4075e-01  & +2.8016e-01  & +2.7159e-01  \\
                & iteration 3 & +1.7256e-08  & +3.4533e-07  & +1.4972e-08  & +2.7641e-08  \\
                & iteration 4 & +1.6147e-22  & +7.5659e-20  & +1.8974e-22  & +1.8560e-22  \\ \hline
                & iteration 1 &              & +5.7085e+02  & +3.2615e-24  & +2.2148e+02  \\
                & iteration 2 &              & +9.9229e-01  &              & +9.2576e-02  \\
                & iteration 3 &              & +3.6019e-06  &              & +2.4516e-08  \\
                & iteration 4 &              & +2.6846e-18  &              & +1.3568e-22  \\ \hline\hline
%
   Frictionless & iteration 1 & +2.4245e+03  & +1.9669e+03  & +2.2115e+03  & +1.9720e+03  \\
   case         & iteration 2 & +9.5056e-03  & +7.5421e-02  & +4.5648e-01  & +8.0077e-02  \\
                & iteration 3 & +8.2737e-12  & +5.8048e-10  & +1.7844e-07  & +5.8707e-10  \\
                & iteration 4 & +6.0677e-23  & +3.0205e-21  & +2.1941e-19  & +2.1347e-24  \\ \hline
                & iteration 1 &              & +3.0003e+01  &              & +2.0580e+01  \\
                & iteration 2 &              & +2.1412e-04  &              & +3.6496e-03  \\
                & iteration 3 &              & +5.4181e-14  &              & +3.3724e-12  \\
                & iteration 4 &              & +3.5354e-24  &              & +3.3132e-24  \\ \hline\hline
  \end{tabular}
  \caption{Evolution of the unbalanced energy over Newton iterations on the non-continuous mortar side normal field.}
  \label{tab:simple_benchmark_convergence_FLGM}
\end{table}

\begin{table}[!ht]
  \centering
  \begin{tabular}{l|r|c|c|c|c}
                &             & Time step 10 & Time step 17 & Time step 40 & Time step 57 \\ \hline\hline
   Frictionless & iteration 1 & +2.4179e+03  & +2.1598e+03  & +2.1481e+03  & +2.1591e+03  \\
   case         & iteration 2 & +7.3388e-02  & +8.4075e-01  & +2.8010e-01  & +2.7153e-01  \\
                & iteration 3 & +1.7184e-08  & +3.4441e-07  & +1.6015e-08  & +2.7746e-08  \\
                & iteration 4 & +1.6805e-22  & +7.4172e-20  & +1.3933e-22  & +2.1243e-22  \\ \hline
                & iteration 1 &              & +5.7088e+02  & +2.9497e-24  & +2.2154e+02  \\
                & iteration 2 &              & +9.8701e-01  &              & +9.1662e-02  \\
                & iteration 3 &              & +3.4191e-06  &              & +2.3042e-08  \\
                & iteration 4 &              & +2.4365e-18  &              & +1.2758e-22  \\ \hline\hline
%
   Frictional   & iteration 1 & +2.4245e+03  & +1.9669e+03  & +2.2111e+03  & +1.9720e+03  \\
   case         & iteration 2 & +9.4703e-03  & +7.5540e-02  & +4.5360e-01  & +8.0220e-02  \\
                & iteration 3 & +8.2598e-12  & +5.7925e-10  & +1.6284e-07  & +5.8451e-10  \\
                & iteration 4 & +4.7937e-23  & +1.2982e-20  & +1.3769e-19  & +1.1331e-21  \\ \hline
                & iteration 1 &              & +2.9856e+01  &              & +1.8326e+01  \\
                & iteration 2 &              & +1.9592e-04  &              & +2.9215e-03  \\
                & iteration 3 &              & +4.0828e-14  &              & +1.6454e-12  \\
                & iteration 4 &              & +4.5703e-24  &              & +2.9256e-24  \\ \hline\hline
  \end{tabular}
  \caption{Evolution of the unbalanced energy over Newton iterations on the averaged non-mortar side normal field.}
  \label{tab:simple_benchmark_convergence_FLGA}
\end{table}

\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:simple_benchmark_timeline_0}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_0}
  }
  \subfigure[time $t=1 \unit{sec}$ (time step $10$) \label{fig:simple_benchmark_timeline_10}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_10}
  }
  \subfigure[time $t=1.7\dot{3} \unit{sec}$ (time step $17$) \label{fig:simple_benchmark_timeline_17}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_17}
  } \\
  \subfigure[time $t=4 \unit{sec}$ (time step $40$) \label{fig:simple_benchmark_timeline_40}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_40}
  }
  \subfigure[time $t=5.7 \unit{sec}$ (time step $57$) \label{fig:simple_benchmark_timeline_57}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_57}
  }
  \subfigure[time $t=7 \unit{sec}$ (time step $70$) \label{fig:simple_benchmark_timeline_70}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_70}
  } \\
  \subfigure[time $t=7.5 \unit{sec}$ (time step $75$) \label{fig:simple_benchmark_timeline_75}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_75}
  }
  \subfigure[time $t=8 \unit{sec}$ (time step $80$) \label{fig:simple_benchmark_timeline_80}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_80}
  }
  \caption{The progress of the simple benchmark example without friction.}
  \label{fig:simple_benchmark_timeline}
\end{figure}

\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:simple_benchmark_timeline_03_0}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_0}
  }
  \subfigure[time $t=1 \unit{sec}$ (time step $10$) \label{fig:simple_benchmark_timeline_03_10}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_10}
  }
  \subfigure[time $t=1.7 \unit{sec}$ (time step $17$) \label{fig:simple_benchmark_timeline_03_17}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_17}
  } \\
  \subfigure[time $t=4 \unit{sec}$ (time step $40$) \label{fig:simple_benchmark_timeline_03_40}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_40}
  }
  \subfigure[time $t=5.7 \unit{sec}$ (time step $57$) \label{fig:simple_benchmark_timeline_03_57}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_57}
  }
  \subfigure[time $t=7 \unit{sec}$ (time step $70$) \label{fig:simple_benchmark_timeline_03_70}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_70}
  } \\
  \subfigure[time $t=7.5 \unit{sec}$ (time step $75$) \label{fig:simple_benchmark_timeline_03_75}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_75}
  }
  \subfigure[time $t=8 \unit{sec}$ (time step $80$) \label{fig:simple_benchmark_timeline_03_80}]{
    \includegraphics{images/simple_benchmark/simple_benchmark_mu03_80}
  }
  \caption{The progress of the simple benchmark example for a Coulomb
    friction coefficient $\mu = 0.3$.}
  \label{fig:simple_benchmark_frict_timeline}
\end{figure}

\clearpage

\subsection{Reaction forces}
\label{sec:simple_benchmark_reaction_forces}

In this section we provide plots of the reaction forces on top of the
block. This reaction force is a sum of all internal forces of the
nodes on the top boundary of the block where the Dirichlet boundary
conditions are applied. To distinguish the different effects of
friction we split the reaction force into a horizontal and a vertical
part. As we will later see the differences in the result between the
two normal vector fields are very small.

\paragraph{Frictionless case}

Firstly the frictionless case is analyzed. For the frictionless case
the tangential traction $\bft_T$ is zero. In the Lagrangian state the
normal vector of the contact surface is vertical. This is not true for
a later time step and for finite deformation. Due to the tilted
position of the normal traction $\bft_N$ a horizontal reaction force
arises. This can be seen in
Figure~\ref{fig:simple_benchmark_forces}. The frictionless contact
calculation is path independent. This means it does not matter how we
achieved the current deformation state. The deformation states in time
step 10 and time step 70 are identically (see
Figure~\ref{fig:simple_benchmark_timeline_10} and
Figure~\ref{fig:simple_benchmark_timeline_70}).

\begin{figure}[!h]
  \centering
  \includegraphics{images/simple_benchmark/simple_benchmark_plot_forces}
  \caption{Reaction forces on top side of block in horizontal and
    vertical direction for the frictionless case are shown. The
    reaction force in horizontal direction is not zero. This is due to
    the non symmetric finite deformation of the slab. This can be seen
    in Figure~\ref{fig:simple_benchmark_timeline_10}. Further one can
    observe the symmetry of the horizontal reaction forces due to the
    path independency of the frictionless calculation. The difference
    between the averaged non-mortar and the non-continuous mortar
    normal field are too small to be distinguished in the plots.}
  \label{fig:simple_benchmark_forces}
\end{figure}

\paragraph{Frictional Case}

Secondly we add friction to the simulation. Here we expect a
horizontal reaction force due to the tangential traction $\bft_T$ as a
result of friction. The tangential traction $\bft_T$ is correlated to
the magnitude of the normal traction $\bft_N$ by the Coulomb friction
law (see Eq.~\eqref{eq:kinetic_tangential_condition}). This connection
can bee seen in Figure~\ref{fig:simple_benchmark_03_forces}. It is
also notable that the reaction force is no longer path independent
(this has already been discussed in
Section~\ref{sec:simple_benchmark_time_flow}). This means it differs
for the motion towards the right side in comparison to the leftwards
sliding. The maximum magnitude of the horizontal force for the motion
towards right moving is $-1440.56\unit{N}$ and for the left moving
$1389.06\unit{N}$. The absolute values differ because the changes from
stick to slip are not exactly caught. One would have to do a
refinement of the time steps near this time area to capture the switch
from stick to slip more exactly.

\begin{figure}[!ht]
  \centering
  \includegraphics{images/simple_benchmark/simple_benchmark_mu03_plot_forces}
  \caption{Reaction forces on top side of block in horizontal and
    vertical direction for the frictional case ($\mu = 0.3$) are
    shown. Once again the difference between the averaged non-mortar
    and the non-continuous mortar normal field are to small be
    distinguished in the plots. It can be seen that the horizontal
    reaction force is different for the leftwards and the rightwards
    motion. The correlation between the magnitude of the normal
    traction $\bft_N$ and the tangential traction $\bft_T$ is also
    well observable. It is also important to note that due to stick
    the deformation state and therefore also the horizontal reaction
    force is no longer path independent.}
  \label{fig:simple_benchmark_03_forces}
\end{figure}

\clearpage

\section{Deep ironing}
\label{sec:deep_ironing}

This example is a very popular one in the field of contact
mechanics. It can bee seen as an evolution of the simple benchmark
example from Section~\ref{sec:simple_benchmark}. One can find a lot of
results for comparison, e.g. in \citet{Yang2008_2}, \citet{Popp2009},
\citet{Gitterle2010} and others. The idea behind this example is to
show the performance of the algorithm for problems with finite
deformations, large slidings and strong inconsistencies in
discretization.

The dimensions of our problem are shown in
Figure~\ref{fig:deep_ironing}. The parameters (especially the material
properties) are given in Table~\ref{tab:deep_ironing}.

\begin{table}[!ht]
  \centering
  \begin{tabular}{llll}
    \hline\hline
    Young's modulus of block & $E_{block}$ & 1000 & $\unit{MPa}$ \\
    Poisson's ratio of block & $\nu_{block}$ & 0.3 & \\
    Young's modulus of slab & $E_{slab}$ & 100 & $\unit{MPa}$  \\
    Poisson's ratio of slab & $\nu_{slab}$ & 0.3 & \\
    Thickness of block and slab & $h$ & 1 & $\unit{mm}$ \\
    Vertical displacement & $\Delta v$ & 30 & $\unit{mm}$ \\
    Horizontal displacement 1 & $\Delta u_1$ & 220 & $\unit{mm}$ \\
    Horizontal displacement 2 & $\Delta u_2$ & -110 & $\unit{mm}$ \\
    \hline\hline
  \end{tabular}
  \caption{Parameters for the deep ironing example}
  \label{tab:deep_ironing}
\end{table}

\begin{figure}[!ht]
  \centering
  \def\svgwidth{\columnwidth}
  \input{images/deep_ironing.pdf_tex}
  \caption{The deep ironing problem. First the block is moved
    downwards in direction of $\Delta v$. The boundary condition is
    applied on the top boundary of the block. The block is pressed
    downwards until the top support of the block has reached the
    undeformed height of the slab ($30 \unit{mm}$ for this
    example). Then the block is ``ironed'' over the slab. For this
    example we first moved the block in direction of $\Delta u$ by
    $\Delta u_1$ and then moved backwards by $\Delta v_2$.}
  \label{fig:deep_ironing}
\end{figure}

\subsection{Progress}
\label{sec:deep_ironing_time_flow}

The progress is rather similar to the one of
Section~\ref{sec:simple_benchmark_time_flow} and there are similar
effects. We will only discuss the differences to the simple benchmark
example here.
\vspace{-3mm}
\paragraph{Frictionless case}
%
The deformation results shown in Figure~\ref{fig:deep_ironing_FLGM_timeline}
were calculated with non-continuous mortar side normals. As we will see
in the following sections the differences between mortar and averaged
non-mortar normals are really small. They can not be shown by
overlaying, therefore we show these results only. We do a more
elaborate comparison for the frictional case.
%
\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:deep_ironing_FLGM_timeline_0}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_0}
  } \hfill \subfigure[time $t=1 \unit{sec}$ \label{fig:deep_ironing_FLGM_timeline_15}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_15}
  } \\
  \subfigure[time $t=7.\dot{1} \unit{sec}$ \label{fig:deep_ironing_FLGM_timeline_125}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_125}
  } \hfill \subfigure[time $t=1.\dot{4} \unit{sec}$ \label{fig:deep_ironing_FLGM_timeline_235}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_235}
  } \\
  \subfigure[time $t=12.045 \unit{sec}$ \label{fig:deep_ironing_FLGM_timeline_253}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_253}
  } \hfill \subfigure[time $t=16.0 \unit{sec}$ \label{fig:deep_ironing_FLGM_timeline_340}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_340}
  }
  \caption{The progress of the deep ironing example without
    friction. Non-continuous mortar side normals were used for the
    calculation of this example.}
  \label{fig:deep_ironing_FLGM_timeline}
\end{figure}
\vspace{-3mm}
\paragraph{Frictional case}
%
In Figure~\ref{fig:deep_ironing_mu03_timeline} we compare the
deformation of the non-continuous mortar side normal method with the
averaged non-mortar side normal method. We do not lay the two
deformations on top of each other, because the differences are that
small that one could not distinguish them. We just wanted to clarify
this fact by adding the comparison. The deformations are quite large
and we have big changes of the active set throughout the
calculation. In \citet{Yang2008_2} the used block was not rounded. We
have chosen to use the rounded version because we expected a higher
influence of the averaging for this example. As we can see there is no
influence on the quality of results (see also
Section~\ref{sec:deep_ironing_reaction_forces} for some further
comparisons).
%
\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:deep_ironing_FLGM_mu03_timeline_0}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_mu03_0}
  } \hfill \subfigure[time $t=0 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_timeline_0}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_0}
  }\\
  \subfigure[time $t=1 \unit{sec}$ \label{fig:deep_ironing_FLGM_mu03_timeline_15}]{
    \includegraphics[width=0.48\linewidth]{images/deep_ironing/deep_ironing_FLGM_mu03_15}
  } \hfill \subfigure[time $t=1 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_timeline_15}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_15}
  }\\
  \subfigure[time $t=7.\dot{1} \unit{sec}$ \label{fig:deep_ironing_FLGM_mu03_timeline_125}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_mu03_125}
  } \hfill \subfigure[time $t=7.\dot{1} \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_timeline_125}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_125}
  }\\
  \subfigure[time $t=1.\dot{4} \unit{sec}$ \label{fig:deep_ironing_FLGM_mu03_timeline_235}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_mu03_235}
  } \hfill \subfigure[time $t=1.\dot{4} \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_timeline_235}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_235}
  }\\
  \subfigure[time $t=12.045 \unit{sec}$ \label{fig:deep_ironing_FLGM_mu03_timeline_253}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_mu03_253}
  } \hfill \subfigure[time $t=12.045 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_timeline_253}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_253}
  }\\
  \subfigure[time $t=16.0 \unit{sec}$ \label{fig:deep_ironing_FLGM_mu03_timeline_340}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGM_mu03_340}
  } \hfill \subfigure[time $t=16.0 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_timeline_340}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_340}
  }
  \caption{The progress of the simple benchmark example with friction
    ($\mu=0.3$) is shown. Each line shows the non-continuous mortar
    side normal method on the left and the averaged non-mortar side
    normal method on hte right.}
  \label{fig:deep_ironing_mu03_timeline}
\end{figure}
\clearpage

\subsection{Reaction forces}
\label{sec:deep_ironing_reaction_forces}

Similar to the simple benchmark example in
Section~\ref{sec:simple_benchmark_reaction_forces} we would like to
analyze and compare the reaction forces on the top support of the
block. Once again we split the overall reaction force for the top
nodes into a horizontal and a vertical component. Of course those
components should not be mixed up with the tangential and normal
traction in the contact surface locally. This is a global view of the
situation.

\paragraph{Frictionless case}

In Figure~\ref{fig:deep_ironing_plot_forces} we compare the averaged
non-mortar side normal method with the non-continuous mortar side
normal method. The vertical reaction force for the averaged normal is
rather smooth (shown in green) and there is no big difference to the
mortar side normal (shown in the background with red color).

More interesting is the horizontal reaction force during the sliding
of the block. One can see oscillating reaction forces. They occur only
because of the non-continuity of the discrete surface. It is also
important to note that the averaging of the normal field could not
improve the results. This happens, because the averaging of the normal
does not flatten the surface and the gap function $g_N$ itself. It
also cannot influence the stiffness changes due to the element jumps.

One has to note here, that those oscillations are getting rapidly
smaller through refinement of the meshes. We used this rather coarse
mesh by intention to show the effects.

\begin{figure}[!ht]
  \centering
  \includegraphics{images/deep_ironing/deep_ironing_plot_forces}
  \caption{Reaction forces on top side of block in horizontal and
    vertical direction for the frictionless case are shown.}
  \label{fig:deep_ironing_plot_forces}
\end{figure}

\paragraph{Frictional case}

We expect for the frictional case a rather similar behavior compared
to frictionless case despite the fact that the horizontal reaction
force is much higher. This can be seen in
Figure~\ref{fig:deep_ironing_mu03_plot_forces}.

Once again the difference between the two ``normal'' methods are
negligible. There are only a few time steps where the red mortar side
normal method is visible behind the averaged normal method laying on
top.

The oscillation behavior for the frictional case is similar to the one
of the frictionless case. This also means that the oscillations are
not due to a slip/stick effect. They are only because of the non
continuity of the surface. The reason for having larger magnitudes
then for the frictionless case is the higher mean value of the
horizontal force. Once again we can influence the height of the
oscillations by refinement of the mesh.

\begin{figure}[!ht]
  \centering
  \includegraphics{images/deep_ironing/deep_ironing_mu03_plot_forces}
  \caption{Reaction forces on top side of block in horizontal and
    vertical direction for the frictional case ($\mu = 0.3$) are
    shown.}
  \label{fig:deep_ironing_mu03_plot_forces}
\end{figure}

The oscillations (no matter if frictionless or frictional) are purely
artificial due to the used numerical method and the needed finite
element discretization. They can not be seen in real world
experiments. It has to be a goal of future attempts in contact
mechanics to get rid of those oscillating forces.

To show the effect of mesh refinement on the oscillations in
tangential direction we solved the same problem with a finer mesh (see
Figure~\ref{fig:deep_ironing_FLGA_mu03_8x8_timeline} for some
snapshots of the deformed mesh).

\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_8x8_timeline_0}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_8x8_0}
  } \hfill \subfigure[time $t=6 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_8x8_timeline_65}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_8x8_65}
  } \\
  \subfigure[time $t=11 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_8x8_timeline_120}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_8x8_120}
  } \hfill \subfigure[time $t=16 \unit{sec}$ \label{fig:deep_ironing_FLGA_mu03_8x8_timeline_175}]{
    \includegraphics[width=0.47\linewidth]{images/deep_ironing/deep_ironing_FLGA_mu03_8x8_175}
  }
  \caption{The progress of the deep ironing example with friction
    ($\mu=0.3$) is shown for a refined mesh.}
  \label{fig:deep_ironing_FLGA_mu03_8x8_timeline}
\end{figure}

In Figure~\ref{fig:deep_ironing_mu03_8x8_plot_forces} we have once
again plotted the reaction forces on the top support of the block. It
can be seen that the oscillation significantly decreases with mesh
refinement if one compares the plot with
Figure~\ref{fig:deep_ironing_mu03_plot_forces}.

\begin{figure}[!ht]
  \centering
  \includegraphics{images/deep_ironing/deep_ironing_mu03_8x8_plot_forces}
  \caption{Reaction forces on top side of block in horizontal and
    vertical direction for the frictional case ($\mu = 0.3$) on the
    refined mesh are shown.}
  \label{fig:deep_ironing_mu03_8x8_plot_forces}
\end{figure}

\section{Hertz problem}
\label{sec:hertz}

This is a very classical example in contact mechanics. The Hertz
problem can be solved in an analytical manner for a general 3D contact
of two paraboloids (see \cite{goldsmith2001} for a detailed
derivation of the analytical solution). We reduced the problem to a
contact of an cylinder (Part 1) with a plane body (Part 2). The
dimensions of our problem are shown in Figure~\ref{fig:hertz}.

As material we choose aluminum with the average parameters given in
Table~\ref{tab:hertz_problem}. For this example we used the
St. Venant-Kirchhoff material (see
Section~\ref{sec:st-venant-krichhoff}) and not the compressible
Neo-Hookean material. This was done because we expected this example
to have small deformations and wanted to be as close as possible to
the linear analytical solution.

\begin{table}[!ht]
  \centering
  \begin{tabular}{llll}
    \hline\hline
    Young's modulus & $E_1$, $E_2$ & 96 & $\unit{GPa}$ \\
    Poisson's ratio & $\nu_1$, $\nu_2$ & 0.35 & \\
    Vertical displacement & $\Delta v$ & -0.015 & $\unit{mm}$ \\
    Penalty factor & $\varepsilon$ & 8.e5 &  \\
    \hline\hline
  \end{tabular}
  \caption{Parameters for the Hertz problem}
  \label{tab:hertz_problem}
\end{table}

\begin{figure}[!ht]
  \centering
  \input{images/hertz.pdf_tex}
  \caption{The Hertz problem. The geometry is symmetric for the center
    plane, but not the mesh. In the area around the contact zone the
    mesh was refined. This refined surface area is defined for an
    angle of $[-5°,+5°]$. For this example we used an unstructured
    mesh as a comparison to the structured meshes of the previous
    examples. The top boundary (marked with a dashed line) is moved
    downwards during loading.}
  \label{fig:hertz}
\end{figure}

Once again the loading is deformation controlled. For this example it
would be possible to do force loading, as there are no global
stick/slip changes. Therefore no negative slope of the force
displacement curve can occur. Nevertheless the displacement based
loading is a very robust method and is therefore used. The
displacement of the top support in vertical direction can be easily
connected with a corresponding loading by summing up the internal
forces of the nodes on the top boundary. For our displacement $\Delta
v = -0.015$ the resulting reaction force is $F = 206.44549 \unit{N}$

We are especially interested in the pressure distribution on the
contact surface. For the special case of two cylinders with parallel
axes coming into contact we can find in \citet{goldsmith2001}
%
\begin{equation}
  p(x) = \frac{2 \; F}{\pi b^2} \sqrt{b^2-x^2}
\end{equation}
%
where $x$ is the coordinate in tangential direction (the origin is in
the symmetry line), $F$ is the load applied on the two cylinders. $b$
is the half-width of the contact zone and can be calculated with
%
\begin{equation}
  b = 2 \sqrt{ \frac{F(\delta_1 + \delta_2) R_1 R_2}{R_1 + R_2} }
\end{equation}
%
where $R_1$ and $R_2$ are the two radii of the cylinders being in
contact. For the special case of a plain surface instead of cylinder 2
we can do $\lim\limits_{R_2 \rightarrow \infty}( b )$ which yields
%
\begin{equation}
  b = 2 \sqrt{ F (\delta_1 + \delta_2) R }
\end{equation}
%
The stiffness values $\delta_i$ are given as
%
\begin{equation}
  \delta_i = \frac{1 - \nu_i^2}{ E_i \pi} \quad , \qquad i=1,2
\end{equation}
%
with Poisson's ratio $\nu_i$ and Young's modulus $E_i$.

The calculations were done frictionless. During vertical loading it is
nearly impossible to create a stick condition with physically
realistic properties (see also \citet{kikuchi1988} for similar
calculations). One would have to raise the friction coefficient to
high values (e.g. $\nu=0.7$ like in the example in \citet{Tur2009})
and allow stresses in the body higher than a realistic elastic limit.

For this example we also compare the Lagrange contact enforcement with
the penalty contact enforcement. We have done the calculations with
the averaged non-mortar side normal field and the non-continuous
mortar side normal field. The differences for this small deformation
example are that small that one cannot distinguish the results in the
plot given in Figure~\ref{fig:hertz_pressure_plot}. Therefore only a
``Lagrange'' solution (which is equivalent to the averaged {\bf and}
the mortar side normal field) is compared with the penalty solution.

\begin{figure}[!ht]
  \centering
  \includegraphics{images/hertz/hertz_pressure_plot}
  \caption{The pressure distribution $t_N$. The origin is in the
    symmetry (vertical solid gray line) of the problem. The analytical
    half-width of the contact zone is $b = 0.5781716$ and drawn with a
    dashed gray line. The solution of the Lagrange contact enforcement
    is given point wise (in the nodes) with blue stars. The solution
    of the penalty contact enforcement is given as a solid green
    line. The penalty method provides us with a pressure in each
    integration point on the edge $t_N \approx \varepsilon g_N$. The
    integration points are much denser distributed and therefore a
    point wise plot would make no sense. The red solid line represents
    the analytical solution. Despite some discretization influences
    the numerical solutions fit the analytical one quite well.}
  \label{fig:hertz_pressure_plot}
\end{figure}

\clearpage

\section{Elastic ring}
\label{sec:elastic_ring}

This example is based on that presented in \citet{Tur2009}. For this
problem big changes in the active set and finite deformations can be
expected. The parameters can be found in Table~\ref{tab:elastic_ring}.

\begin{table}[!ht]
  \centering
  \begin{tabular}{llll}
    \hline\hline
    Young's modulus of beam & $E_{beam}$ & 10000 & $\unit{MPa}$ \\
    Poisson's ratio of beam & $\nu_{beam}$ & 0.3 & \\
    Young's modulus of slab & $E_{slab}$ & 300 & $\unit{MPa}$  \\
    Poisson's ratio of slab & $\nu_{slab}$ & 0.3 & \\
    Thickness of beam and slab & $h$ & 1 & $\unit{mm}$ \\
    Vertical displacement & $\Delta v$ & 70 & $\unit{mm}$ \\
    \hline\hline
  \end{tabular}
  \caption{Parameters for the elastic ring example}
  \label{tab:elastic_ring}
\end{table}

The geometrical dimension are shown in Figure~\ref{fig:elastic_ring}.

\begin{figure}[!ht]
  \centering
  \def\svgwidth{0.8\columnwidth}
  \input{images/elastic_ring.pdf_tex}
  \caption{The elastic ring problem. The ring beam is moved downwards
    the slab in direction $\Delta v$. The top endings of the ring beam
    are perfectly supported in horizontal direction. The slab is fixed
    on the lower boundary.}
  \label{fig:elastic_ring}
\end{figure}

\subsection{Progress and reaction forces}
\label{sec:elastic_ring_time_flow}

We calculated this example without friction and with a friction
coefficient $\mu=0.5$. The motion was calculated in 30 time steps and
lasts $1 \unit{sec}$. In this section we compare the two calculations.
\paragraph{Frictionless case}
%
For the frictionless case there is an interesting time stamp 23 at
time $0.7\dot{6} \unit{sec}$ (see
Figure~\ref{fig:elastic_ring_timeline_23}) where the stiffness of the
beam rapidly decreases. This can be seen in the plot (see
Figure~\ref{fig:elastic_ring_plot_forces}) of the reaction forces
too. At this time the reaction forces start to decrease rapidly, we
observe sone kind of a snap through point. We could go through this
with force controlled loading only by application of a path-following
algorithm or arc-length method like Riks method (e.g.
\citet{Wriggers2008}).
%
\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:elastic_ring_timeline_0}]{
    \includegraphics{images/elastic_ring/elastic_ring_0}
  } \subfigure[time $t=0.5 \unit{sec}$ (time step $15$) \label{fig:elastic_ring_timeline_15}]{
    \includegraphics{images/elastic_ring/elastic_ring_15}
  } \\
  \subfigure[time $t=0.7\dot{6} \unit{sec}$ (time step $23$) \label{fig:elastic_ring_timeline_23}]{
    \includegraphics{images/elastic_ring/elastic_ring_23}
  } \subfigure[time $t=1.0 \unit{sec}$ (time step $30$) \label{fig:elastic_ring_timeline_30}]{
    \includegraphics{images/elastic_ring/elastic_ring_30}
  }
  \caption{The progress of the deformed meshes of the elastic ring
    example without friction.}
  \label{fig:elastic_ring_timeline}
\end{figure}
%
\begin{figure}[!ht]
  \centering
  \includegraphics{images/elastic_ring/elastic_ring_plot_forces}
  \caption{Reaction forces on left support of the elastic ring in
    horizontal and vertical direction for the frictionless case.}
  \label{fig:elastic_ring_plot_forces}
\end{figure}

\paragraph{Frictional case} The deformed bodies can be seen in the
progress Figure~\ref{fig:elastic_ring_mu05_timeline}. The greatest
difference to Figure~\ref{fig:elastic_ring_timeline} can be seen in
the last plot Figure~\ref{fig:elastic_ring_mu05_timeline_30}. The
friction leads to a strong horizontal deformation of the slab. This
sticking of the elastic ring on the slab leads to a stabilization of the
snap through behavior of the frictionless case. This means in
Figure~\ref{fig:elastic_ring_mu05_plot_forces} we can see no decrease
in stiffness anymore.
%
\begin{figure}[!ht]
  \centering
  \subfigure[time $t=0 \unit{sec}$ \label{fig:elastic_ring_mu05_timeline_0}]{
    \includegraphics{images/elastic_ring/elastic_ring_mu05_0}
  }
  \subfigure[time $t=0.5 \unit{sec}$ (time step $15$) \label{fig:elastic_ring_mu05_timeline_15}]{
    \includegraphics{images/elastic_ring/elastic_ring_mu05_15}
  }
  \subfigure[time $t=0.7\dot{6} \unit{sec}$ (time step $23$) \label{fig:elastic_ring_mu05_timeline_23}]{
    \includegraphics{images/elastic_ring/elastic_ring_mu05_23}
  }
  \subfigure[time $t=1.0 \unit{sec}$ (time step $30$) \label{fig:elastic_ring_mu05_timeline_30}]{
    \includegraphics{images/elastic_ring/elastic_ring_mu05_30}
  }
  \caption{The progress of the deformed meshes of the elastic ring
    example with friction ($\mu=0.5$).}
  \label{fig:elastic_ring_mu05_timeline}
\end{figure}
%
\begin{figure}[!ht]
  \centering
  \includegraphics[width=0.85\textwidth]{images/elastic_ring/elastic_ring_mu05_plot_forces}
  \caption{Reaction forces on top side of block in horizontal and
    vertical direction for the frictional case ($\mu=0.5$).}
  \label{fig:elastic_ring_mu05_plot_forces}
\end{figure}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "main"
%%% eval: (setenv "TEXINPUTS" "./images//:")
%%% End: 
